> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/reference/what-is-cpe/how-do-i-read-a-cpe-string.md).

# CPE 문자열은 어떻게 읽나요?

#### CPE 형식

CPE는 다음 형식을 따릅니다. `cpe:<cpe_version>:<part>:<vendor>:<product>:<version>:<update>:<edition>:<language>:<sw_edition>:<target_sw>:<target_hw>:<other>`

* `cpe_version`: CPE 정의의 버전입니다. 이 문서를 작성하는 시점의 최신 CPE 정의 버전은 2.3입니다.
* `part`: 다음 세 가지 값 중 하나일 수 있습니다. 애플리케이션은 a, 하드웨어는 h, 운영 체제는 o입니다. type이라고도 합니다.
* `vendor`: 이 종속성 구성 요소를 제조하거나 만든 개인 또는 조직을 나타냅니다.
* `product`: 시스템/패키지/구성 요소의 이름입니다.
* `version`: 시스템/패키지/구성 요소의 버전입니다.
* `update`: 업데이트 또는 서비스 팩 정보(마이너 버전이라고도 함)를 나타냅니다.
* `edition`: 버전 외에 시스템/패키지/구성 요소의 빌드를 설명합니다.
* `sw_edition` (2.3 전용): en-us(미국 영어)와 같이 시스템/패키지/구성 요소의 언어를 나타냅니다.
* `target_sw` (2.3 전용): en-us(미국 영어)와 같이 시스템/패키지/구성 요소의 언어를 나타냅니다.
* `target_hw` (2.3 전용): en-us(미국 영어)와 같이 시스템/패키지/구성 요소의 언어를 나타냅니다.
* other(2.3 전용): en-us(미국 영어)와 같이 시스템/패키지/구성 요소의 언어를 나타냅니다.

#### CPE 문자열에서 와일드카드는 무엇을 의미하나요?

와일드카드(\*)는 해당 항목에 특정 값이 지정되지 않았음을 의미하므로, 해당 항목에 적용 가능한 모든 값을 포함합니다.

**예시**

***애플리케이션:***\
URI가 다음과 같다면 `cpe:/a:microsoft:office:2007:sp2:professional` CPE 문자열은 다음과 같습니다.\
`cpe:2.3:a:microsoft:office:2007:sp2:-:*:professional:*:*:*`

***운영 체제:***\
URI가 다음과 같다면\
`cpe:/o:microsoft:windows_7:-:sp1:x64` CPE 문자열은 다음과 같습니다.\
`cpe:2.3:o:microsoft:windows_7:-:sp1:-:*:*:*:x64:*`

***하드웨어(SBOM에서 지원되지 않음):***\
URI가 다음과 같다면 `cpe:/h:3com:3c13612` CPE 문자열은 다음과 같습니다.\
`cpe:2.3:h:3com:3c13612:-:*:*:*:*:*:*:*`

***와일드카드는 무엇을 나타내나요?***\
와일드카드(\*)는 해당 항목에 특정 값이 지정되지 않았음을 의미하므로, 해당 항목에 적용 가능한 모든 값을 포함합니다.

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/reference/what-is-cpe/how-do-i-read-a-cpe-string.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
